#ifndef _H_933251A0993B76CF9D78CA1A11A2E60D_ClassifyObject__H_
#define _H_933251A0993B76CF9D78CA1A11A2E60D_ClassifyObject__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "object_msgs/msg/dds_opensplice/Objects_.h"


namespace object_msgs
{
    namespace srv
    {
        namespace dds_
        {
            struct  ClassifyObject_Request_
            {
                ::DDS::String_mgr image_path_;
            };

            typedef DDS_DCPSStruct_var<ClassifyObject_Request_> ClassifyObject_Request__var;
            typedef DDS_DCPSStruct_out < ClassifyObject_Request_> ClassifyObject_Request__out;

            struct  ClassifyObject_Response_
            {
                ::object_msgs::msg::dds_::Objects_ objects_;
            };

            typedef DDS_DCPSStruct_var<ClassifyObject_Response_> ClassifyObject_Response__var;
            typedef DDS_DCPSStruct_out < ClassifyObject_Response_> ClassifyObject_Response__out;

            struct  Sample_ClassifyObject_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::object_msgs::srv::dds_::ClassifyObject_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_ClassifyObject_Request_> Sample_ClassifyObject_Request__var;
            typedef DDS_DCPSStruct_out < Sample_ClassifyObject_Request_> Sample_ClassifyObject_Request__out;

            struct  Sample_ClassifyObject_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::object_msgs::srv::dds_::ClassifyObject_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_ClassifyObject_Response_> Sample_ClassifyObject_Response__var;
            typedef DDS_DCPSStruct_out < Sample_ClassifyObject_Response_> Sample_ClassifyObject_Response__out;

        }

    }

}

#endif /* _H_933251A0993B76CF9D78CA1A11A2E60D_ClassifyObject__H_ */
