#ifndef _H_933251A0993B76CF9D78CA1A11A2E60D_ClassifyObject_DCPS_H_
#define _H_933251A0993B76CF9D78CA1A11A2E60D_ClassifyObject_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "ClassifyObject_.h"


namespace object_msgs
{
    namespace srv
    {
        namespace dds_
        {
            class ClassifyObject_Request_TypeSupportInterface;

            typedef ClassifyObject_Request_TypeSupportInterface * ClassifyObject_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Request_TypeSupportInterface> ClassifyObject_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Request_TypeSupportInterface> ClassifyObject_Request_TypeSupportInterface_out;


            class ClassifyObject_Request_DataWriter;

            typedef ClassifyObject_Request_DataWriter * ClassifyObject_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Request_DataWriter> ClassifyObject_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Request_DataWriter> ClassifyObject_Request_DataWriter_out;


            class ClassifyObject_Request_DataReader;

            typedef ClassifyObject_Request_DataReader * ClassifyObject_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Request_DataReader> ClassifyObject_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Request_DataReader> ClassifyObject_Request_DataReader_out;


            class ClassifyObject_Request_DataReaderView;

            typedef ClassifyObject_Request_DataReaderView * ClassifyObject_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Request_DataReaderView> ClassifyObject_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Request_DataReaderView> ClassifyObject_Request_DataReaderView_out;

            struct ClassifyObject_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < ClassifyObject_Request_, struct ClassifyObject_Request_Seq_uniq_> ClassifyObject_Request_Seq;
            typedef DDS_DCPSSequence_var < ClassifyObject_Request_Seq> ClassifyObject_Request_Seq_var;
            typedef DDS_DCPSSequence_out < ClassifyObject_Request_Seq> ClassifyObject_Request_Seq_out;

            class  ClassifyObject_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef ClassifyObject_Request_TypeSupportInterface_ptr _ptr_type;
                typedef ClassifyObject_Request_TypeSupportInterface_var _var_type;

                static ClassifyObject_Request_TypeSupportInterface_ptr _duplicate (ClassifyObject_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                ClassifyObject_Request_TypeSupportInterface () {};
                ~ClassifyObject_Request_TypeSupportInterface () {};
            private:
                ClassifyObject_Request_TypeSupportInterface (const ClassifyObject_Request_TypeSupportInterface &);
                ClassifyObject_Request_TypeSupportInterface & operator = (const ClassifyObject_Request_TypeSupportInterface &);
            };

            class  ClassifyObject_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef ClassifyObject_Request_DataWriter_ptr _ptr_type;
                typedef ClassifyObject_Request_DataWriter_var _var_type;

                static ClassifyObject_Request_DataWriter_ptr _duplicate (ClassifyObject_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const ClassifyObject_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const ClassifyObject_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Request_& instance_data) = 0;

            protected:
                ClassifyObject_Request_DataWriter () {};
                ~ClassifyObject_Request_DataWriter () {};
            private:
                ClassifyObject_Request_DataWriter (const ClassifyObject_Request_DataWriter &);
                ClassifyObject_Request_DataWriter & operator = (const ClassifyObject_Request_DataWriter &);
            };

            class  ClassifyObject_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef ClassifyObject_Request_DataReader_ptr _ptr_type;
                typedef ClassifyObject_Request_DataReader_var _var_type;

                static ClassifyObject_Request_DataReader_ptr _duplicate (ClassifyObject_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Request_& instance) = 0;

            protected:
                ClassifyObject_Request_DataReader () {};
                ~ClassifyObject_Request_DataReader () {};
            private:
                ClassifyObject_Request_DataReader (const ClassifyObject_Request_DataReader &);
                ClassifyObject_Request_DataReader & operator = (const ClassifyObject_Request_DataReader &);
            };

            class  ClassifyObject_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef ClassifyObject_Request_DataReaderView_ptr _ptr_type;
                typedef ClassifyObject_Request_DataReaderView_var _var_type;

                static ClassifyObject_Request_DataReaderView_ptr _duplicate (ClassifyObject_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Request_& instance) = 0;

            protected:
                ClassifyObject_Request_DataReaderView () {};
                ~ClassifyObject_Request_DataReaderView () {};
            private:
                ClassifyObject_Request_DataReaderView (const ClassifyObject_Request_DataReaderView &);
                ClassifyObject_Request_DataReaderView & operator = (const ClassifyObject_Request_DataReaderView &);
            };
            class ClassifyObject_Response_TypeSupportInterface;

            typedef ClassifyObject_Response_TypeSupportInterface * ClassifyObject_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Response_TypeSupportInterface> ClassifyObject_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Response_TypeSupportInterface> ClassifyObject_Response_TypeSupportInterface_out;


            class ClassifyObject_Response_DataWriter;

            typedef ClassifyObject_Response_DataWriter * ClassifyObject_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Response_DataWriter> ClassifyObject_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Response_DataWriter> ClassifyObject_Response_DataWriter_out;


            class ClassifyObject_Response_DataReader;

            typedef ClassifyObject_Response_DataReader * ClassifyObject_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Response_DataReader> ClassifyObject_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Response_DataReader> ClassifyObject_Response_DataReader_out;


            class ClassifyObject_Response_DataReaderView;

            typedef ClassifyObject_Response_DataReaderView * ClassifyObject_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < ClassifyObject_Response_DataReaderView> ClassifyObject_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < ClassifyObject_Response_DataReaderView> ClassifyObject_Response_DataReaderView_out;

            struct ClassifyObject_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < ClassifyObject_Response_, struct ClassifyObject_Response_Seq_uniq_> ClassifyObject_Response_Seq;
            typedef DDS_DCPSSequence_var < ClassifyObject_Response_Seq> ClassifyObject_Response_Seq_var;
            typedef DDS_DCPSSequence_out < ClassifyObject_Response_Seq> ClassifyObject_Response_Seq_out;

            class  ClassifyObject_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef ClassifyObject_Response_TypeSupportInterface_ptr _ptr_type;
                typedef ClassifyObject_Response_TypeSupportInterface_var _var_type;

                static ClassifyObject_Response_TypeSupportInterface_ptr _duplicate (ClassifyObject_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                ClassifyObject_Response_TypeSupportInterface () {};
                ~ClassifyObject_Response_TypeSupportInterface () {};
            private:
                ClassifyObject_Response_TypeSupportInterface (const ClassifyObject_Response_TypeSupportInterface &);
                ClassifyObject_Response_TypeSupportInterface & operator = (const ClassifyObject_Response_TypeSupportInterface &);
            };

            class  ClassifyObject_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef ClassifyObject_Response_DataWriter_ptr _ptr_type;
                typedef ClassifyObject_Response_DataWriter_var _var_type;

                static ClassifyObject_Response_DataWriter_ptr _duplicate (ClassifyObject_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const ClassifyObject_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const ClassifyObject_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Response_& instance_data) = 0;

            protected:
                ClassifyObject_Response_DataWriter () {};
                ~ClassifyObject_Response_DataWriter () {};
            private:
                ClassifyObject_Response_DataWriter (const ClassifyObject_Response_DataWriter &);
                ClassifyObject_Response_DataWriter & operator = (const ClassifyObject_Response_DataWriter &);
            };

            class  ClassifyObject_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef ClassifyObject_Response_DataReader_ptr _ptr_type;
                typedef ClassifyObject_Response_DataReader_var _var_type;

                static ClassifyObject_Response_DataReader_ptr _duplicate (ClassifyObject_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Response_& instance) = 0;

            protected:
                ClassifyObject_Response_DataReader () {};
                ~ClassifyObject_Response_DataReader () {};
            private:
                ClassifyObject_Response_DataReader (const ClassifyObject_Response_DataReader &);
                ClassifyObject_Response_DataReader & operator = (const ClassifyObject_Response_DataReader &);
            };

            class  ClassifyObject_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef ClassifyObject_Response_DataReaderView_ptr _ptr_type;
                typedef ClassifyObject_Response_DataReaderView_var _var_type;

                static ClassifyObject_Response_DataReaderView_ptr _duplicate (ClassifyObject_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ClassifyObject_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ClassifyObject_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                ClassifyObject_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ClassifyObject_Response_& instance) = 0;

            protected:
                ClassifyObject_Response_DataReaderView () {};
                ~ClassifyObject_Response_DataReaderView () {};
            private:
                ClassifyObject_Response_DataReaderView (const ClassifyObject_Response_DataReaderView &);
                ClassifyObject_Response_DataReaderView & operator = (const ClassifyObject_Response_DataReaderView &);
            };
            class Sample_ClassifyObject_Request_TypeSupportInterface;

            typedef Sample_ClassifyObject_Request_TypeSupportInterface * Sample_ClassifyObject_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Request_TypeSupportInterface> Sample_ClassifyObject_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Request_TypeSupportInterface> Sample_ClassifyObject_Request_TypeSupportInterface_out;


            class Sample_ClassifyObject_Request_DataWriter;

            typedef Sample_ClassifyObject_Request_DataWriter * Sample_ClassifyObject_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Request_DataWriter> Sample_ClassifyObject_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Request_DataWriter> Sample_ClassifyObject_Request_DataWriter_out;


            class Sample_ClassifyObject_Request_DataReader;

            typedef Sample_ClassifyObject_Request_DataReader * Sample_ClassifyObject_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Request_DataReader> Sample_ClassifyObject_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Request_DataReader> Sample_ClassifyObject_Request_DataReader_out;


            class Sample_ClassifyObject_Request_DataReaderView;

            typedef Sample_ClassifyObject_Request_DataReaderView * Sample_ClassifyObject_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Request_DataReaderView> Sample_ClassifyObject_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Request_DataReaderView> Sample_ClassifyObject_Request_DataReaderView_out;

            struct Sample_ClassifyObject_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_ClassifyObject_Request_, struct Sample_ClassifyObject_Request_Seq_uniq_> Sample_ClassifyObject_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_ClassifyObject_Request_Seq> Sample_ClassifyObject_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_ClassifyObject_Request_Seq> Sample_ClassifyObject_Request_Seq_out;

            class  Sample_ClassifyObject_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_ClassifyObject_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_ClassifyObject_Request_TypeSupportInterface_var _var_type;

                static Sample_ClassifyObject_Request_TypeSupportInterface_ptr _duplicate (Sample_ClassifyObject_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_ClassifyObject_Request_TypeSupportInterface () {};
                ~Sample_ClassifyObject_Request_TypeSupportInterface () {};
            private:
                Sample_ClassifyObject_Request_TypeSupportInterface (const Sample_ClassifyObject_Request_TypeSupportInterface &);
                Sample_ClassifyObject_Request_TypeSupportInterface & operator = (const Sample_ClassifyObject_Request_TypeSupportInterface &);
            };

            class  Sample_ClassifyObject_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_ClassifyObject_Request_DataWriter_ptr _ptr_type;
                typedef Sample_ClassifyObject_Request_DataWriter_var _var_type;

                static Sample_ClassifyObject_Request_DataWriter_ptr _duplicate (Sample_ClassifyObject_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_ClassifyObject_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_ClassifyObject_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_ClassifyObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Request_& instance_data) = 0;

            protected:
                Sample_ClassifyObject_Request_DataWriter () {};
                ~Sample_ClassifyObject_Request_DataWriter () {};
            private:
                Sample_ClassifyObject_Request_DataWriter (const Sample_ClassifyObject_Request_DataWriter &);
                Sample_ClassifyObject_Request_DataWriter & operator = (const Sample_ClassifyObject_Request_DataWriter &);
            };

            class  Sample_ClassifyObject_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_ClassifyObject_Request_DataReader_ptr _ptr_type;
                typedef Sample_ClassifyObject_Request_DataReader_var _var_type;

                static Sample_ClassifyObject_Request_DataReader_ptr _duplicate (Sample_ClassifyObject_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Request_& instance) = 0;

            protected:
                Sample_ClassifyObject_Request_DataReader () {};
                ~Sample_ClassifyObject_Request_DataReader () {};
            private:
                Sample_ClassifyObject_Request_DataReader (const Sample_ClassifyObject_Request_DataReader &);
                Sample_ClassifyObject_Request_DataReader & operator = (const Sample_ClassifyObject_Request_DataReader &);
            };

            class  Sample_ClassifyObject_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_ClassifyObject_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_ClassifyObject_Request_DataReaderView_var _var_type;

                static Sample_ClassifyObject_Request_DataReaderView_ptr _duplicate (Sample_ClassifyObject_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_ClassifyObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_ClassifyObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Request_& instance) = 0;

            protected:
                Sample_ClassifyObject_Request_DataReaderView () {};
                ~Sample_ClassifyObject_Request_DataReaderView () {};
            private:
                Sample_ClassifyObject_Request_DataReaderView (const Sample_ClassifyObject_Request_DataReaderView &);
                Sample_ClassifyObject_Request_DataReaderView & operator = (const Sample_ClassifyObject_Request_DataReaderView &);
            };
            class Sample_ClassifyObject_Response_TypeSupportInterface;

            typedef Sample_ClassifyObject_Response_TypeSupportInterface * Sample_ClassifyObject_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Response_TypeSupportInterface> Sample_ClassifyObject_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Response_TypeSupportInterface> Sample_ClassifyObject_Response_TypeSupportInterface_out;


            class Sample_ClassifyObject_Response_DataWriter;

            typedef Sample_ClassifyObject_Response_DataWriter * Sample_ClassifyObject_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Response_DataWriter> Sample_ClassifyObject_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Response_DataWriter> Sample_ClassifyObject_Response_DataWriter_out;


            class Sample_ClassifyObject_Response_DataReader;

            typedef Sample_ClassifyObject_Response_DataReader * Sample_ClassifyObject_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Response_DataReader> Sample_ClassifyObject_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Response_DataReader> Sample_ClassifyObject_Response_DataReader_out;


            class Sample_ClassifyObject_Response_DataReaderView;

            typedef Sample_ClassifyObject_Response_DataReaderView * Sample_ClassifyObject_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_ClassifyObject_Response_DataReaderView> Sample_ClassifyObject_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_ClassifyObject_Response_DataReaderView> Sample_ClassifyObject_Response_DataReaderView_out;

            struct Sample_ClassifyObject_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_ClassifyObject_Response_, struct Sample_ClassifyObject_Response_Seq_uniq_> Sample_ClassifyObject_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_ClassifyObject_Response_Seq> Sample_ClassifyObject_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_ClassifyObject_Response_Seq> Sample_ClassifyObject_Response_Seq_out;

            class  Sample_ClassifyObject_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_ClassifyObject_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_ClassifyObject_Response_TypeSupportInterface_var _var_type;

                static Sample_ClassifyObject_Response_TypeSupportInterface_ptr _duplicate (Sample_ClassifyObject_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_ClassifyObject_Response_TypeSupportInterface () {};
                ~Sample_ClassifyObject_Response_TypeSupportInterface () {};
            private:
                Sample_ClassifyObject_Response_TypeSupportInterface (const Sample_ClassifyObject_Response_TypeSupportInterface &);
                Sample_ClassifyObject_Response_TypeSupportInterface & operator = (const Sample_ClassifyObject_Response_TypeSupportInterface &);
            };

            class  Sample_ClassifyObject_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_ClassifyObject_Response_DataWriter_ptr _ptr_type;
                typedef Sample_ClassifyObject_Response_DataWriter_var _var_type;

                static Sample_ClassifyObject_Response_DataWriter_ptr _duplicate (Sample_ClassifyObject_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_ClassifyObject_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_ClassifyObject_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_ClassifyObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Response_& instance_data) = 0;

            protected:
                Sample_ClassifyObject_Response_DataWriter () {};
                ~Sample_ClassifyObject_Response_DataWriter () {};
            private:
                Sample_ClassifyObject_Response_DataWriter (const Sample_ClassifyObject_Response_DataWriter &);
                Sample_ClassifyObject_Response_DataWriter & operator = (const Sample_ClassifyObject_Response_DataWriter &);
            };

            class  Sample_ClassifyObject_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_ClassifyObject_Response_DataReader_ptr _ptr_type;
                typedef Sample_ClassifyObject_Response_DataReader_var _var_type;

                static Sample_ClassifyObject_Response_DataReader_ptr _duplicate (Sample_ClassifyObject_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Response_& instance) = 0;

            protected:
                Sample_ClassifyObject_Response_DataReader () {};
                ~Sample_ClassifyObject_Response_DataReader () {};
            private:
                Sample_ClassifyObject_Response_DataReader (const Sample_ClassifyObject_Response_DataReader &);
                Sample_ClassifyObject_Response_DataReader & operator = (const Sample_ClassifyObject_Response_DataReader &);
            };

            class  Sample_ClassifyObject_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_ClassifyObject_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_ClassifyObject_Response_DataReaderView_var _var_type;

                static Sample_ClassifyObject_Response_DataReaderView_ptr _duplicate (Sample_ClassifyObject_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_ClassifyObject_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_ClassifyObject_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_ClassifyObject_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_ClassifyObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_ClassifyObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_ClassifyObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_ClassifyObject_Response_& instance) = 0;

            protected:
                Sample_ClassifyObject_Response_DataReaderView () {};
                ~Sample_ClassifyObject_Response_DataReaderView () {};
            private:
                Sample_ClassifyObject_Response_DataReaderView (const Sample_ClassifyObject_Response_DataReaderView &);
                Sample_ClassifyObject_Response_DataReaderView & operator = (const Sample_ClassifyObject_Response_DataReaderView &);
            };
        }

    }

}

#endif
