#ifndef _H_D29F002805BBDC3CAA82724CE1A8F206_DetectObject_DCPS_H_
#define _H_D29F002805BBDC3CAA82724CE1A8F206_DetectObject_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "DetectObject_.h"


namespace object_msgs
{
    namespace srv
    {
        namespace dds_
        {
            class DetectObject_Request_TypeSupportInterface;

            typedef DetectObject_Request_TypeSupportInterface * DetectObject_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Request_TypeSupportInterface> DetectObject_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < DetectObject_Request_TypeSupportInterface> DetectObject_Request_TypeSupportInterface_out;


            class DetectObject_Request_DataWriter;

            typedef DetectObject_Request_DataWriter * DetectObject_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Request_DataWriter> DetectObject_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < DetectObject_Request_DataWriter> DetectObject_Request_DataWriter_out;


            class DetectObject_Request_DataReader;

            typedef DetectObject_Request_DataReader * DetectObject_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Request_DataReader> DetectObject_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < DetectObject_Request_DataReader> DetectObject_Request_DataReader_out;


            class DetectObject_Request_DataReaderView;

            typedef DetectObject_Request_DataReaderView * DetectObject_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Request_DataReaderView> DetectObject_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < DetectObject_Request_DataReaderView> DetectObject_Request_DataReaderView_out;

            struct DetectObject_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < DetectObject_Request_, struct DetectObject_Request_Seq_uniq_> DetectObject_Request_Seq;
            typedef DDS_DCPSSequence_var < DetectObject_Request_Seq> DetectObject_Request_Seq_var;
            typedef DDS_DCPSSequence_out < DetectObject_Request_Seq> DetectObject_Request_Seq_out;

            class  DetectObject_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef DetectObject_Request_TypeSupportInterface_ptr _ptr_type;
                typedef DetectObject_Request_TypeSupportInterface_var _var_type;

                static DetectObject_Request_TypeSupportInterface_ptr _duplicate (DetectObject_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                DetectObject_Request_TypeSupportInterface () {};
                ~DetectObject_Request_TypeSupportInterface () {};
            private:
                DetectObject_Request_TypeSupportInterface (const DetectObject_Request_TypeSupportInterface &);
                DetectObject_Request_TypeSupportInterface & operator = (const DetectObject_Request_TypeSupportInterface &);
            };

            class  DetectObject_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef DetectObject_Request_DataWriter_ptr _ptr_type;
                typedef DetectObject_Request_DataWriter_var _var_type;

                static DetectObject_Request_DataWriter_ptr _duplicate (DetectObject_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const DetectObject_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const DetectObject_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Request_& instance_data) = 0;

            protected:
                DetectObject_Request_DataWriter () {};
                ~DetectObject_Request_DataWriter () {};
            private:
                DetectObject_Request_DataWriter (const DetectObject_Request_DataWriter &);
                DetectObject_Request_DataWriter & operator = (const DetectObject_Request_DataWriter &);
            };

            class  DetectObject_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef DetectObject_Request_DataReader_ptr _ptr_type;
                typedef DetectObject_Request_DataReader_var _var_type;

                static DetectObject_Request_DataReader_ptr _duplicate (DetectObject_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Request_& instance) = 0;

            protected:
                DetectObject_Request_DataReader () {};
                ~DetectObject_Request_DataReader () {};
            private:
                DetectObject_Request_DataReader (const DetectObject_Request_DataReader &);
                DetectObject_Request_DataReader & operator = (const DetectObject_Request_DataReader &);
            };

            class  DetectObject_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef DetectObject_Request_DataReaderView_ptr _ptr_type;
                typedef DetectObject_Request_DataReaderView_var _var_type;

                static DetectObject_Request_DataReaderView_ptr _duplicate (DetectObject_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Request_& instance) = 0;

            protected:
                DetectObject_Request_DataReaderView () {};
                ~DetectObject_Request_DataReaderView () {};
            private:
                DetectObject_Request_DataReaderView (const DetectObject_Request_DataReaderView &);
                DetectObject_Request_DataReaderView & operator = (const DetectObject_Request_DataReaderView &);
            };
            class DetectObject_Response_TypeSupportInterface;

            typedef DetectObject_Response_TypeSupportInterface * DetectObject_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Response_TypeSupportInterface> DetectObject_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < DetectObject_Response_TypeSupportInterface> DetectObject_Response_TypeSupportInterface_out;


            class DetectObject_Response_DataWriter;

            typedef DetectObject_Response_DataWriter * DetectObject_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Response_DataWriter> DetectObject_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < DetectObject_Response_DataWriter> DetectObject_Response_DataWriter_out;


            class DetectObject_Response_DataReader;

            typedef DetectObject_Response_DataReader * DetectObject_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Response_DataReader> DetectObject_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < DetectObject_Response_DataReader> DetectObject_Response_DataReader_out;


            class DetectObject_Response_DataReaderView;

            typedef DetectObject_Response_DataReaderView * DetectObject_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < DetectObject_Response_DataReaderView> DetectObject_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < DetectObject_Response_DataReaderView> DetectObject_Response_DataReaderView_out;

            struct DetectObject_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < DetectObject_Response_, struct DetectObject_Response_Seq_uniq_> DetectObject_Response_Seq;
            typedef DDS_DCPSSequence_var < DetectObject_Response_Seq> DetectObject_Response_Seq_var;
            typedef DDS_DCPSSequence_out < DetectObject_Response_Seq> DetectObject_Response_Seq_out;

            class  DetectObject_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef DetectObject_Response_TypeSupportInterface_ptr _ptr_type;
                typedef DetectObject_Response_TypeSupportInterface_var _var_type;

                static DetectObject_Response_TypeSupportInterface_ptr _duplicate (DetectObject_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                DetectObject_Response_TypeSupportInterface () {};
                ~DetectObject_Response_TypeSupportInterface () {};
            private:
                DetectObject_Response_TypeSupportInterface (const DetectObject_Response_TypeSupportInterface &);
                DetectObject_Response_TypeSupportInterface & operator = (const DetectObject_Response_TypeSupportInterface &);
            };

            class  DetectObject_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef DetectObject_Response_DataWriter_ptr _ptr_type;
                typedef DetectObject_Response_DataWriter_var _var_type;

                static DetectObject_Response_DataWriter_ptr _duplicate (DetectObject_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const DetectObject_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const DetectObject_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Response_& instance_data) = 0;

            protected:
                DetectObject_Response_DataWriter () {};
                ~DetectObject_Response_DataWriter () {};
            private:
                DetectObject_Response_DataWriter (const DetectObject_Response_DataWriter &);
                DetectObject_Response_DataWriter & operator = (const DetectObject_Response_DataWriter &);
            };

            class  DetectObject_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef DetectObject_Response_DataReader_ptr _ptr_type;
                typedef DetectObject_Response_DataReader_var _var_type;

                static DetectObject_Response_DataReader_ptr _duplicate (DetectObject_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Response_& instance) = 0;

            protected:
                DetectObject_Response_DataReader () {};
                ~DetectObject_Response_DataReader () {};
            private:
                DetectObject_Response_DataReader (const DetectObject_Response_DataReader &);
                DetectObject_Response_DataReader & operator = (const DetectObject_Response_DataReader &);
            };

            class  DetectObject_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef DetectObject_Response_DataReaderView_ptr _ptr_type;
                typedef DetectObject_Response_DataReaderView_var _var_type;

                static DetectObject_Response_DataReaderView_ptr _duplicate (DetectObject_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static DetectObject_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static DetectObject_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                DetectObject_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const DetectObject_Response_& instance) = 0;

            protected:
                DetectObject_Response_DataReaderView () {};
                ~DetectObject_Response_DataReaderView () {};
            private:
                DetectObject_Response_DataReaderView (const DetectObject_Response_DataReaderView &);
                DetectObject_Response_DataReaderView & operator = (const DetectObject_Response_DataReaderView &);
            };
            class Sample_DetectObject_Request_TypeSupportInterface;

            typedef Sample_DetectObject_Request_TypeSupportInterface * Sample_DetectObject_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Request_TypeSupportInterface> Sample_DetectObject_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Request_TypeSupportInterface> Sample_DetectObject_Request_TypeSupportInterface_out;


            class Sample_DetectObject_Request_DataWriter;

            typedef Sample_DetectObject_Request_DataWriter * Sample_DetectObject_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Request_DataWriter> Sample_DetectObject_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Request_DataWriter> Sample_DetectObject_Request_DataWriter_out;


            class Sample_DetectObject_Request_DataReader;

            typedef Sample_DetectObject_Request_DataReader * Sample_DetectObject_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Request_DataReader> Sample_DetectObject_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Request_DataReader> Sample_DetectObject_Request_DataReader_out;


            class Sample_DetectObject_Request_DataReaderView;

            typedef Sample_DetectObject_Request_DataReaderView * Sample_DetectObject_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Request_DataReaderView> Sample_DetectObject_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Request_DataReaderView> Sample_DetectObject_Request_DataReaderView_out;

            struct Sample_DetectObject_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_DetectObject_Request_, struct Sample_DetectObject_Request_Seq_uniq_> Sample_DetectObject_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_DetectObject_Request_Seq> Sample_DetectObject_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_DetectObject_Request_Seq> Sample_DetectObject_Request_Seq_out;

            class  Sample_DetectObject_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_DetectObject_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_DetectObject_Request_TypeSupportInterface_var _var_type;

                static Sample_DetectObject_Request_TypeSupportInterface_ptr _duplicate (Sample_DetectObject_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_DetectObject_Request_TypeSupportInterface () {};
                ~Sample_DetectObject_Request_TypeSupportInterface () {};
            private:
                Sample_DetectObject_Request_TypeSupportInterface (const Sample_DetectObject_Request_TypeSupportInterface &);
                Sample_DetectObject_Request_TypeSupportInterface & operator = (const Sample_DetectObject_Request_TypeSupportInterface &);
            };

            class  Sample_DetectObject_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_DetectObject_Request_DataWriter_ptr _ptr_type;
                typedef Sample_DetectObject_Request_DataWriter_var _var_type;

                static Sample_DetectObject_Request_DataWriter_ptr _duplicate (Sample_DetectObject_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_DetectObject_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_DetectObject_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_DetectObject_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Request_& instance_data) = 0;

            protected:
                Sample_DetectObject_Request_DataWriter () {};
                ~Sample_DetectObject_Request_DataWriter () {};
            private:
                Sample_DetectObject_Request_DataWriter (const Sample_DetectObject_Request_DataWriter &);
                Sample_DetectObject_Request_DataWriter & operator = (const Sample_DetectObject_Request_DataWriter &);
            };

            class  Sample_DetectObject_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_DetectObject_Request_DataReader_ptr _ptr_type;
                typedef Sample_DetectObject_Request_DataReader_var _var_type;

                static Sample_DetectObject_Request_DataReader_ptr _duplicate (Sample_DetectObject_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Request_& instance) = 0;

            protected:
                Sample_DetectObject_Request_DataReader () {};
                ~Sample_DetectObject_Request_DataReader () {};
            private:
                Sample_DetectObject_Request_DataReader (const Sample_DetectObject_Request_DataReader &);
                Sample_DetectObject_Request_DataReader & operator = (const Sample_DetectObject_Request_DataReader &);
            };

            class  Sample_DetectObject_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_DetectObject_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_DetectObject_Request_DataReaderView_var _var_type;

                static Sample_DetectObject_Request_DataReaderView_ptr _duplicate (Sample_DetectObject_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_DetectObject_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_DetectObject_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Request_& instance) = 0;

            protected:
                Sample_DetectObject_Request_DataReaderView () {};
                ~Sample_DetectObject_Request_DataReaderView () {};
            private:
                Sample_DetectObject_Request_DataReaderView (const Sample_DetectObject_Request_DataReaderView &);
                Sample_DetectObject_Request_DataReaderView & operator = (const Sample_DetectObject_Request_DataReaderView &);
            };
            class Sample_DetectObject_Response_TypeSupportInterface;

            typedef Sample_DetectObject_Response_TypeSupportInterface * Sample_DetectObject_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Response_TypeSupportInterface> Sample_DetectObject_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Response_TypeSupportInterface> Sample_DetectObject_Response_TypeSupportInterface_out;


            class Sample_DetectObject_Response_DataWriter;

            typedef Sample_DetectObject_Response_DataWriter * Sample_DetectObject_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Response_DataWriter> Sample_DetectObject_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Response_DataWriter> Sample_DetectObject_Response_DataWriter_out;


            class Sample_DetectObject_Response_DataReader;

            typedef Sample_DetectObject_Response_DataReader * Sample_DetectObject_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Response_DataReader> Sample_DetectObject_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Response_DataReader> Sample_DetectObject_Response_DataReader_out;


            class Sample_DetectObject_Response_DataReaderView;

            typedef Sample_DetectObject_Response_DataReaderView * Sample_DetectObject_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_DetectObject_Response_DataReaderView> Sample_DetectObject_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_DetectObject_Response_DataReaderView> Sample_DetectObject_Response_DataReaderView_out;

            struct Sample_DetectObject_Response_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_DetectObject_Response_, struct Sample_DetectObject_Response_Seq_uniq_> Sample_DetectObject_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_DetectObject_Response_Seq> Sample_DetectObject_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_DetectObject_Response_Seq> Sample_DetectObject_Response_Seq_out;

            class  Sample_DetectObject_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_DetectObject_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_DetectObject_Response_TypeSupportInterface_var _var_type;

                static Sample_DetectObject_Response_TypeSupportInterface_ptr _duplicate (Sample_DetectObject_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_DetectObject_Response_TypeSupportInterface () {};
                ~Sample_DetectObject_Response_TypeSupportInterface () {};
            private:
                Sample_DetectObject_Response_TypeSupportInterface (const Sample_DetectObject_Response_TypeSupportInterface &);
                Sample_DetectObject_Response_TypeSupportInterface & operator = (const Sample_DetectObject_Response_TypeSupportInterface &);
            };

            class  Sample_DetectObject_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_DetectObject_Response_DataWriter_ptr _ptr_type;
                typedef Sample_DetectObject_Response_DataWriter_var _var_type;

                static Sample_DetectObject_Response_DataWriter_ptr _duplicate (Sample_DetectObject_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_DetectObject_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_DetectObject_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_DetectObject_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Response_& instance_data) = 0;

            protected:
                Sample_DetectObject_Response_DataWriter () {};
                ~Sample_DetectObject_Response_DataWriter () {};
            private:
                Sample_DetectObject_Response_DataWriter (const Sample_DetectObject_Response_DataWriter &);
                Sample_DetectObject_Response_DataWriter & operator = (const Sample_DetectObject_Response_DataWriter &);
            };

            class  Sample_DetectObject_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_DetectObject_Response_DataReader_ptr _ptr_type;
                typedef Sample_DetectObject_Response_DataReader_var _var_type;

                static Sample_DetectObject_Response_DataReader_ptr _duplicate (Sample_DetectObject_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Response_& instance) = 0;

            protected:
                Sample_DetectObject_Response_DataReader () {};
                ~Sample_DetectObject_Response_DataReader () {};
            private:
                Sample_DetectObject_Response_DataReader (const Sample_DetectObject_Response_DataReader &);
                Sample_DetectObject_Response_DataReader & operator = (const Sample_DetectObject_Response_DataReader &);
            };

            class  Sample_DetectObject_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_DetectObject_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_DetectObject_Response_DataReaderView_var _var_type;

                static Sample_DetectObject_Response_DataReaderView_ptr _duplicate (Sample_DetectObject_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_DetectObject_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_DetectObject_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_DetectObject_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_DetectObject_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_DetectObject_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_DetectObject_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_DetectObject_Response_& instance) = 0;

            protected:
                Sample_DetectObject_Response_DataReaderView () {};
                ~Sample_DetectObject_Response_DataReaderView () {};
            private:
                Sample_DetectObject_Response_DataReaderView (const Sample_DetectObject_Response_DataReaderView &);
                Sample_DetectObject_Response_DataReaderView & operator = (const Sample_DetectObject_Response_DataReaderView &);
            };
        }

    }

}

#endif
