#ifndef _H_4D2AE1D61557D48CFB3D249405A4E1A2_ObjectsInBoxes_DCPS_H_
#define _H_4D2AE1D61557D48CFB3D249405A4E1A2_ObjectsInBoxes_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "ObjectsInBoxes_.h"


namespace object_msgs
{
    namespace msg
    {
        namespace dds_
        {
            class ObjectsInBoxes_TypeSupportInterface;

            typedef ObjectsInBoxes_TypeSupportInterface * ObjectsInBoxes_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < ObjectsInBoxes_TypeSupportInterface> ObjectsInBoxes_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < ObjectsInBoxes_TypeSupportInterface> ObjectsInBoxes_TypeSupportInterface_out;


            class ObjectsInBoxes_DataWriter;

            typedef ObjectsInBoxes_DataWriter * ObjectsInBoxes_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < ObjectsInBoxes_DataWriter> ObjectsInBoxes_DataWriter_var;
            typedef DDS_DCPSInterface_out < ObjectsInBoxes_DataWriter> ObjectsInBoxes_DataWriter_out;


            class ObjectsInBoxes_DataReader;

            typedef ObjectsInBoxes_DataReader * ObjectsInBoxes_DataReader_ptr;
            typedef DDS_DCPSInterface_var < ObjectsInBoxes_DataReader> ObjectsInBoxes_DataReader_var;
            typedef DDS_DCPSInterface_out < ObjectsInBoxes_DataReader> ObjectsInBoxes_DataReader_out;


            class ObjectsInBoxes_DataReaderView;

            typedef ObjectsInBoxes_DataReaderView * ObjectsInBoxes_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < ObjectsInBoxes_DataReaderView> ObjectsInBoxes_DataReaderView_var;
            typedef DDS_DCPSInterface_out < ObjectsInBoxes_DataReaderView> ObjectsInBoxes_DataReaderView_out;

            struct ObjectsInBoxes_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < ObjectsInBoxes_, struct ObjectsInBoxes_Seq_uniq_> ObjectsInBoxes_Seq;
            typedef DDS_DCPSSequence_var < ObjectsInBoxes_Seq> ObjectsInBoxes_Seq_var;
            typedef DDS_DCPSSequence_out < ObjectsInBoxes_Seq> ObjectsInBoxes_Seq_out;

            class  ObjectsInBoxes_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef ObjectsInBoxes_TypeSupportInterface_ptr _ptr_type;
                typedef ObjectsInBoxes_TypeSupportInterface_var _var_type;

                static ObjectsInBoxes_TypeSupportInterface_ptr _duplicate (ObjectsInBoxes_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ObjectsInBoxes_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                ObjectsInBoxes_TypeSupportInterface_ptr _this () { return this; }


            protected:
                ObjectsInBoxes_TypeSupportInterface () {};
                ~ObjectsInBoxes_TypeSupportInterface () {};
            private:
                ObjectsInBoxes_TypeSupportInterface (const ObjectsInBoxes_TypeSupportInterface &);
                ObjectsInBoxes_TypeSupportInterface & operator = (const ObjectsInBoxes_TypeSupportInterface &);
            };

            class  ObjectsInBoxes_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef ObjectsInBoxes_DataWriter_ptr _ptr_type;
                typedef ObjectsInBoxes_DataWriter_var _var_type;

                static ObjectsInBoxes_DataWriter_ptr _duplicate (ObjectsInBoxes_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ObjectsInBoxes_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                ObjectsInBoxes_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const ObjectsInBoxes_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const ObjectsInBoxes_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const ObjectsInBoxes_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const ObjectsInBoxes_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const ObjectsInBoxes_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const ObjectsInBoxes_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const ObjectsInBoxes_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const ObjectsInBoxes_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const ObjectsInBoxes_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const ObjectsInBoxes_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (ObjectsInBoxes_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ObjectsInBoxes_& instance_data) = 0;

            protected:
                ObjectsInBoxes_DataWriter () {};
                ~ObjectsInBoxes_DataWriter () {};
            private:
                ObjectsInBoxes_DataWriter (const ObjectsInBoxes_DataWriter &);
                ObjectsInBoxes_DataWriter & operator = (const ObjectsInBoxes_DataWriter &);
            };

            class  ObjectsInBoxes_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef ObjectsInBoxes_DataReader_ptr _ptr_type;
                typedef ObjectsInBoxes_DataReader_var _var_type;

                static ObjectsInBoxes_DataReader_ptr _duplicate (ObjectsInBoxes_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ObjectsInBoxes_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                ObjectsInBoxes_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ObjectsInBoxes_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ObjectsInBoxes_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ObjectsInBoxes_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ObjectsInBoxes_& instance) = 0;

            protected:
                ObjectsInBoxes_DataReader () {};
                ~ObjectsInBoxes_DataReader () {};
            private:
                ObjectsInBoxes_DataReader (const ObjectsInBoxes_DataReader &);
                ObjectsInBoxes_DataReader & operator = (const ObjectsInBoxes_DataReader &);
            };

            class  ObjectsInBoxes_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef ObjectsInBoxes_DataReaderView_ptr _ptr_type;
                typedef ObjectsInBoxes_DataReaderView_var _var_type;

                static ObjectsInBoxes_DataReaderView_ptr _duplicate (ObjectsInBoxes_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static ObjectsInBoxes_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static ObjectsInBoxes_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                ObjectsInBoxes_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (ObjectsInBoxes_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (ObjectsInBoxes_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (ObjectsInBoxes_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (ObjectsInBoxes_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const ObjectsInBoxes_& instance) = 0;

            protected:
                ObjectsInBoxes_DataReaderView () {};
                ~ObjectsInBoxes_DataReaderView () {};
            private:
                ObjectsInBoxes_DataReaderView (const ObjectsInBoxes_DataReaderView &);
                ObjectsInBoxes_DataReaderView & operator = (const ObjectsInBoxes_DataReaderView &);
            };
        }

    }

}

#endif
