// generated from rosidl_generator_c/resource/idl__functions.c.em
// with input from object_msgs:srv/ClassifyObject.idl
// generated code does not contain a copyright notice
#include "object_msgs/srv/classify_object__functions.h"

#include <assert.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>

// Include directives for member types
// Member `image_path`
#include "rosidl_generator_c/string_functions.h"

bool
object_msgs__srv__ClassifyObject_Request__init(object_msgs__srv__ClassifyObject_Request * msg)
{
  if (!msg) {
    return false;
  }
  // image_path
  if (!rosidl_generator_c__String__init(&msg->image_path)) {
    object_msgs__srv__ClassifyObject_Request__destroy(msg);
    return false;
  }
  return true;
}

void
object_msgs__srv__ClassifyObject_Request__fini(object_msgs__srv__ClassifyObject_Request * msg)
{
  if (!msg) {
    return;
  }
  // image_path
  rosidl_generator_c__String__fini(&msg->image_path);
}

object_msgs__srv__ClassifyObject_Request *
object_msgs__srv__ClassifyObject_Request__create()
{
  object_msgs__srv__ClassifyObject_Request * msg = (object_msgs__srv__ClassifyObject_Request *)malloc(sizeof(object_msgs__srv__ClassifyObject_Request));
  if (!msg) {
    return NULL;
  }
  memset(msg, 0, sizeof(object_msgs__srv__ClassifyObject_Request));
  bool success = object_msgs__srv__ClassifyObject_Request__init(msg);
  if (!success) {
    free(msg);
    return NULL;
  }
  return msg;
}

void
object_msgs__srv__ClassifyObject_Request__destroy(object_msgs__srv__ClassifyObject_Request * msg)
{
  if (msg) {
    object_msgs__srv__ClassifyObject_Request__fini(msg);
  }
  free(msg);
}


bool
object_msgs__srv__ClassifyObject_Request__Sequence__init(object_msgs__srv__ClassifyObject_Request__Sequence * array, size_t size)
{
  if (!array) {
    return false;
  }
  object_msgs__srv__ClassifyObject_Request * data = NULL;
  if (size) {
    data = (object_msgs__srv__ClassifyObject_Request *)calloc(size, sizeof(object_msgs__srv__ClassifyObject_Request));
    if (!data) {
      return false;
    }
    // initialize all array elements
    size_t i;
    for (i = 0; i < size; ++i) {
      bool success = object_msgs__srv__ClassifyObject_Request__init(&data[i]);
      if (!success) {
        break;
      }
    }
    if (i < size) {
      // if initialization failed finalize the already initialized array elements
      for (; i > 0; --i) {
        object_msgs__srv__ClassifyObject_Request__fini(&data[i - 1]);
      }
      free(data);
      return false;
    }
  }
  array->data = data;
  array->size = size;
  array->capacity = size;
  return true;
}

void
object_msgs__srv__ClassifyObject_Request__Sequence__fini(object_msgs__srv__ClassifyObject_Request__Sequence * array)
{
  if (!array) {
    return;
  }
  if (array->data) {
    // ensure that data and capacity values are consistent
    assert(array->capacity > 0);
    // finalize all array elements
    for (size_t i = 0; i < array->capacity; ++i) {
      object_msgs__srv__ClassifyObject_Request__fini(&array->data[i]);
    }
    free(array->data);
    array->data = NULL;
    array->size = 0;
    array->capacity = 0;
  } else {
    // ensure that data, size, and capacity values are consistent
    assert(0 == array->size);
    assert(0 == array->capacity);
  }
}

object_msgs__srv__ClassifyObject_Request__Sequence *
object_msgs__srv__ClassifyObject_Request__Sequence__create(size_t size)
{
  object_msgs__srv__ClassifyObject_Request__Sequence * array = (object_msgs__srv__ClassifyObject_Request__Sequence *)malloc(sizeof(object_msgs__srv__ClassifyObject_Request__Sequence));
  if (!array) {
    return NULL;
  }
  bool success = object_msgs__srv__ClassifyObject_Request__Sequence__init(array, size);
  if (!success) {
    free(array);
    return NULL;
  }
  return array;
}

void
object_msgs__srv__ClassifyObject_Request__Sequence__destroy(object_msgs__srv__ClassifyObject_Request__Sequence * array)
{
  if (array) {
    object_msgs__srv__ClassifyObject_Request__Sequence__fini(array);
  }
  free(array);
}


// Include directives for member types
// Member `objects`
#include "object_msgs/msg/objects__functions.h"

bool
object_msgs__srv__ClassifyObject_Response__init(object_msgs__srv__ClassifyObject_Response * msg)
{
  if (!msg) {
    return false;
  }
  // objects
  if (!object_msgs__msg__Objects__init(&msg->objects)) {
    object_msgs__srv__ClassifyObject_Response__destroy(msg);
    return false;
  }
  return true;
}

void
object_msgs__srv__ClassifyObject_Response__fini(object_msgs__srv__ClassifyObject_Response * msg)
{
  if (!msg) {
    return;
  }
  // objects
  object_msgs__msg__Objects__fini(&msg->objects);
}

object_msgs__srv__ClassifyObject_Response *
object_msgs__srv__ClassifyObject_Response__create()
{
  object_msgs__srv__ClassifyObject_Response * msg = (object_msgs__srv__ClassifyObject_Response *)malloc(sizeof(object_msgs__srv__ClassifyObject_Response));
  if (!msg) {
    return NULL;
  }
  memset(msg, 0, sizeof(object_msgs__srv__ClassifyObject_Response));
  bool success = object_msgs__srv__ClassifyObject_Response__init(msg);
  if (!success) {
    free(msg);
    return NULL;
  }
  return msg;
}

void
object_msgs__srv__ClassifyObject_Response__destroy(object_msgs__srv__ClassifyObject_Response * msg)
{
  if (msg) {
    object_msgs__srv__ClassifyObject_Response__fini(msg);
  }
  free(msg);
}


bool
object_msgs__srv__ClassifyObject_Response__Sequence__init(object_msgs__srv__ClassifyObject_Response__Sequence * array, size_t size)
{
  if (!array) {
    return false;
  }
  object_msgs__srv__ClassifyObject_Response * data = NULL;
  if (size) {
    data = (object_msgs__srv__ClassifyObject_Response *)calloc(size, sizeof(object_msgs__srv__ClassifyObject_Response));
    if (!data) {
      return false;
    }
    // initialize all array elements
    size_t i;
    for (i = 0; i < size; ++i) {
      bool success = object_msgs__srv__ClassifyObject_Response__init(&data[i]);
      if (!success) {
        break;
      }
    }
    if (i < size) {
      // if initialization failed finalize the already initialized array elements
      for (; i > 0; --i) {
        object_msgs__srv__ClassifyObject_Response__fini(&data[i - 1]);
      }
      free(data);
      return false;
    }
  }
  array->data = data;
  array->size = size;
  array->capacity = size;
  return true;
}

void
object_msgs__srv__ClassifyObject_Response__Sequence__fini(object_msgs__srv__ClassifyObject_Response__Sequence * array)
{
  if (!array) {
    return;
  }
  if (array->data) {
    // ensure that data and capacity values are consistent
    assert(array->capacity > 0);
    // finalize all array elements
    for (size_t i = 0; i < array->capacity; ++i) {
      object_msgs__srv__ClassifyObject_Response__fini(&array->data[i]);
    }
    free(array->data);
    array->data = NULL;
    array->size = 0;
    array->capacity = 0;
  } else {
    // ensure that data, size, and capacity values are consistent
    assert(0 == array->size);
    assert(0 == array->capacity);
  }
}

object_msgs__srv__ClassifyObject_Response__Sequence *
object_msgs__srv__ClassifyObject_Response__Sequence__create(size_t size)
{
  object_msgs__srv__ClassifyObject_Response__Sequence * array = (object_msgs__srv__ClassifyObject_Response__Sequence *)malloc(sizeof(object_msgs__srv__ClassifyObject_Response__Sequence));
  if (!array) {
    return NULL;
  }
  bool success = object_msgs__srv__ClassifyObject_Response__Sequence__init(array, size);
  if (!success) {
    free(array);
    return NULL;
  }
  return array;
}

void
object_msgs__srv__ClassifyObject_Response__Sequence__destroy(object_msgs__srv__ClassifyObject_Response__Sequence * array)
{
  if (array) {
    object_msgs__srv__ClassifyObject_Response__Sequence__fini(array);
  }
  free(array);
}
