#ifndef _H_D29F002805BBDC3CAA82724CE1A8F206_DetectObject__H_
#define _H_D29F002805BBDC3CAA82724CE1A8F206_DetectObject__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "object_msgs/msg/dds_opensplice/ObjectsInBoxes_.h"


namespace object_msgs
{
    namespace srv
    {
        namespace dds_
        {
            struct  DetectObject_Request_
            {
                ::DDS::String_mgr image_path_;
            };

            typedef DDS_DCPSStruct_var<DetectObject_Request_> DetectObject_Request__var;
            typedef DDS_DCPSStruct_out < DetectObject_Request_> DetectObject_Request__out;

            struct  DetectObject_Response_
            {
                ::object_msgs::msg::dds_::ObjectsInBoxes_ objects_;
            };

            typedef DDS_DCPSStruct_var<DetectObject_Response_> DetectObject_Response__var;
            typedef DDS_DCPSStruct_out < DetectObject_Response_> DetectObject_Response__out;

            struct  Sample_DetectObject_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::object_msgs::srv::dds_::DetectObject_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_DetectObject_Request_> Sample_DetectObject_Request__var;
            typedef DDS_DCPSStruct_out < Sample_DetectObject_Request_> Sample_DetectObject_Request__out;

            struct  Sample_DetectObject_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::object_msgs::srv::dds_::DetectObject_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_DetectObject_Response_> Sample_DetectObject_Response__var;
            typedef DDS_DCPSStruct_out < Sample_DetectObject_Response_> Sample_DetectObject_Response__out;

        }

    }

}

#endif /* _H_D29F002805BBDC3CAA82724CE1A8F206_DetectObject__H_ */
