// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from object_msgs:srv/DetectObject.idl
// generated code does not contain a copyright notice

#ifndef OBJECT_MSGS__SRV__DETECT_OBJECT__FUNCTIONS_H_
#define OBJECT_MSGS__SRV__DETECT_OBJECT__FUNCTIONS_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stdlib.h>

#include "rosidl_generator_c/visibility_control.h"
#include "object_msgs/msg/rosidl_generator_c__visibility_control.h"

#include "object_msgs/srv/detect_object__struct.h"

/// Initialize srv/DetectObject message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * object_msgs__srv__DetectObject_Request
 * )) before or use
 * object_msgs__srv__DetectObject_Request__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
bool
object_msgs__srv__DetectObject_Request__init(object_msgs__srv__DetectObject_Request * msg);

/// Finalize srv/DetectObject message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Request__fini(object_msgs__srv__DetectObject_Request * msg);

/// Create srv/DetectObject message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * object_msgs__srv__DetectObject_Request__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
object_msgs__srv__DetectObject_Request *
object_msgs__srv__DetectObject_Request__create();

/// Destroy srv/DetectObject message.
/**
 * It calls
 * object_msgs__srv__DetectObject_Request__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Request__destroy(object_msgs__srv__DetectObject_Request * msg);


/// Initialize array of srv/DetectObject messages.
/**
 * It allocates the memory for the number of elements and calls
 * object_msgs__srv__DetectObject_Request__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
bool
object_msgs__srv__DetectObject_Request__Sequence__init(object_msgs__srv__DetectObject_Request__Sequence * array, size_t size);

/// Finalize array of srv/DetectObject messages.
/**
 * It calls
 * object_msgs__srv__DetectObject_Request__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Request__Sequence__fini(object_msgs__srv__DetectObject_Request__Sequence * array);

/// Create array of srv/DetectObject messages.
/**
 * It allocates the memory for the array and calls
 * object_msgs__srv__DetectObject_Request__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
object_msgs__srv__DetectObject_Request__Sequence *
object_msgs__srv__DetectObject_Request__Sequence__create(size_t size);

/// Destroy array of srv/DetectObject messages.
/**
 * It calls
 * object_msgs__srv__DetectObject_Request__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Request__Sequence__destroy(object_msgs__srv__DetectObject_Request__Sequence * array);

/// Initialize srv/DetectObject message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * object_msgs__srv__DetectObject_Response
 * )) before or use
 * object_msgs__srv__DetectObject_Response__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
bool
object_msgs__srv__DetectObject_Response__init(object_msgs__srv__DetectObject_Response * msg);

/// Finalize srv/DetectObject message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Response__fini(object_msgs__srv__DetectObject_Response * msg);

/// Create srv/DetectObject message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * object_msgs__srv__DetectObject_Response__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
object_msgs__srv__DetectObject_Response *
object_msgs__srv__DetectObject_Response__create();

/// Destroy srv/DetectObject message.
/**
 * It calls
 * object_msgs__srv__DetectObject_Response__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Response__destroy(object_msgs__srv__DetectObject_Response * msg);


/// Initialize array of srv/DetectObject messages.
/**
 * It allocates the memory for the number of elements and calls
 * object_msgs__srv__DetectObject_Response__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
bool
object_msgs__srv__DetectObject_Response__Sequence__init(object_msgs__srv__DetectObject_Response__Sequence * array, size_t size);

/// Finalize array of srv/DetectObject messages.
/**
 * It calls
 * object_msgs__srv__DetectObject_Response__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Response__Sequence__fini(object_msgs__srv__DetectObject_Response__Sequence * array);

/// Create array of srv/DetectObject messages.
/**
 * It allocates the memory for the array and calls
 * object_msgs__srv__DetectObject_Response__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
object_msgs__srv__DetectObject_Response__Sequence *
object_msgs__srv__DetectObject_Response__Sequence__create(size_t size);

/// Destroy array of srv/DetectObject messages.
/**
 * It calls
 * object_msgs__srv__DetectObject_Response__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_object_msgs
void
object_msgs__srv__DetectObject_Response__Sequence__destroy(object_msgs__srv__DetectObject_Response__Sequence * array);

#ifdef __cplusplus
}
#endif

#endif  // OBJECT_MSGS__SRV__DETECT_OBJECT__FUNCTIONS_H_
